## flask-paranoid 0.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = flask-paranoid
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## flask-paranoid 0.2.0

=== debian/changelog ===
flask-paranoid (0.2.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * Fix github watchfile.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Dec 2021 16:10:46 +0100

flask-paranoid (0.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 18 Feb 2019 13:34:04 +0100

flask-paranoid (0.2.0-2) unstable; urgency=medium

  * Drop python2 package, not needed.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Dec 2017 19:48:24 +0100

flask-paranoid (0.2.0-1) unstable; urgency=low

  * Initial package version.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 29 Nov 2017 12:52:24 +0100

=== debian/control ===
Source: flask-paranoid
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-flask,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/miguelgrinberg/flask-paranoid/
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-paranoid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-paranoid

Package: python3-flask-paranoid
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Simple user session protection
 Flask-Paranoid protects user sessions. When a client connects to this
 application, a "paranoid" token will be generated according to the IP address
 and user agent. In all subsequent requests, the token will be recalculated and
 checked against the one computed for the first request. If the session cookie
 is stolen and the attacker tries to use it from another location, the
 generated token will be different, and in that case the extension will clear
 the session and block the request.

=== debian/watch ===
# please also check https://pypi.python.org/pypi/Flask-Paranoid
version=4
https://github.com/miguelgrinberg/flask-paranoid/tags .*/v?(\d\S+)\.tar\.gz

## flask-paranoid 0.3.0

=== debian/changelog ===
flask-paranoid (0.3.0-1) unstable; urgency=medium

  [ Gabriel Barrantes ]
  * New upstream release.
  * Adopt package (Closes: #980141).
  * d/copyright: update year.
  * d/gbp.conf: configure upstream and pristine-tar branches.
  * d/patches: patches not required since project uses tolm file.
  * d/watch: update file to version to 5.
  * d/control: standards version to 4.7.2, no changes needed.

  [ Christoph Berg ]
  * Remove myself from Uploaders

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 12 Nov 2025 16:41:23 -0300

flask-paranoid (0.2.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 21:48:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: flask-paranoid
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Uploaders: Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-flask,
  python3-setuptools,
-Standards-Version: 4.5.0
+ python3-pytest <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/miguelgrinberg/flask-paranoid/
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-paranoid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-paranoid

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-paranoid

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: Github
Owner: miguelgrinberg
Project: flask-paranoid
